Skip to main content
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
Creates a transaction document that will be used to group some files in single processing unit
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json-patch+json' \
  --data '
{
  "index": "<string>",
  "imageProcessingOptions": {}
}
'
{
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

transactionId
string<uuid>
required

Transaction identifier. You receive it in the response after the transaction has been successfully created.

Body

index
string | null

Documents in transaction will be ordered by this parameter

imageProcessingOptions
object

Image preprocessing settings for import

Response

Transaction document successfully added

documentId
string<uuid>
required

Document Id